#pragma once
#include "Entity.h"
//突破激光（抛射物）
class CS_QuoteSpurLaser :
    public ActionEntity
{
public:
    CS_QuoteSpurLaser(std::shared_ptr<Entity> parent, int level);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;
    void Feedback(std::weak_ptr<Entity> target) override;
    void Collision() override;//执行碰撞
    void SetCbRect_Entity();
    void SetCbRect_Collision();
    int level = 0;
    int damage = 0;
    int count1 = 0;
};

